

arch/i386/pci/irq.c: In function `pci_vector_resources':
arch/i386/pci/irq.c:1019: `SYSCALL_VECTOR' undeclared (first use in this function)
arch/i386/pci/irq.c:1019: (Each undeclared identifier is reported only once
arch/i386/pci/irq.c:1019: for each function it appears in.)



---

 25-akpm/arch/i386/pci/irq.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN arch/i386/pci/irq.c~msi-ia64-x86_64-fix arch/i386/pci/irq.c
--- 25/arch/i386/pci/irq.c~msi-ia64-x86_64-fix	Fri Apr  9 16:14:53 2004
+++ 25-akpm/arch/i386/pci/irq.c	Fri Apr  9 16:14:53 2004
@@ -15,6 +15,7 @@
 #include <asm/io.h>
 #include <asm/smp.h>
 #include <asm/io_apic.h>
+#include <asm/hw_irq.h>
 
 #include "pci.h"
 
@@ -1015,8 +1016,13 @@ int pci_vector_resources(int last, int n
 
 	while (next < FIRST_SYSTEM_VECTOR) {
 		next += 8;
+#ifdef CONFIG_X86_64
+		if (next == IA32_SYSCALL_VECTOR)
+			continue;
+#else
 		if (next == SYSCALL_VECTOR)
 			continue;
+#endif
 		count++;
 		if (next >= FIRST_SYSTEM_VECTOR) {
 			if (offset%8) {

_
